List Role Assignments for a User on a Domain#
指定するドメイン上のユーザーに付与されているロールを一覧表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://identity.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://identity.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/v3/domains/{domain_id}/users/{user_id}/roles
HTTPステータスコード#
正常時:200
エラー時:400, 401, 403, 404, 409, 500, 501, 503
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| domain_id | path | string | 必須 | ドメインID |
| user_id | path | string | 必須 | ユーザーID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| roles | array | ロールオブジェクトのリスト |
| id | string | ロールID |
| links | object | ロールへのリンクURL |
| name | string | ロール名 |
| enabled | string | ロールの有効/無効設定 |
| description | string | ロールの説明 |
| links | object | APIへのリンクURL |
レスポンス例#
{ "roles": [ { "id": "--admin-role-id--", "links": { "self": "http://identity.jp-east-1.cloud.global.fujitsu.com/v3/roles/--admin-role-id--" }, "name": "admin" }, { "id": "--service-role-id--", "links": { "self": "http://identity.jp-east-1.cloud.global.fujitsu.com/v3/roles/--service-role-id--" }, "name": "service" }, { "id": "--member-role-id--", "links": { "self": "http://identity.jp-east-1.cloud.global.fujitsu.com/v3/roles/--member-role-id--" }, "enabled": "True", "description": "Default role for project membership", "name": "_member_" } ], "links": { "self": "http://identity.jp-east-1.cloud.global.fujitsu.com/v3/domains/--domain-id--/users/--user-id--/roles", "previous": null, "next": null } }